summaryrefslogtreecommitdiffstats
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorMartin Storsjö <martin@martin.st>2016-12-29 00:15:17 +0200
committerMartin Storsjö <martin@martin.st>2016-12-29 21:50:07 +0200
commit5c83b4d550ea42653fece092987bab56ccc32ead (patch)
treee9c2abb6aae2c25c8729cf25f9c365dbd787770e /tests/fate-run.sh
parent35d1f726eb9fdd376ab900587fb02122b72f2b9a (diff)
downloadffmpeg-streaming-5c83b4d550ea42653fece092987bab56ccc32ead.zip
ffmpeg-streaming-5c83b4d550ea42653fece092987bab56ccc32ead.tar.gz
fate: Unset the sig variable if ignoring a test failure
Otherwise the .rep file would still contain a signal instead of a zero, even if the process returned success. Signed-off-by: Martin Storsjö <martin@martin.st>
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 27cd626..e1aaf64 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -214,7 +214,7 @@ if test -e "$ref" || test $cmp = "oneline" ; then
cmperr=$?
test $err = 0 && err=$cmperr
if [ "$report_type" = "ignore" ]; then
- test $err = 0 || echo "IGNORE fate-${test}" && err=0
+ test $err = 0 || echo "IGNORE fate-${test}" && err=0 && unset sig
else
test $err = 0 || cat $cmpfile
fi
OpenPOWER on IntegriCloud